Aggiornamento Magento 1.8.1.0: il backend non funziona

Se vi trovate a combattere con un errore all’apertura del backend dopo aver lavorato su un aggiornamento di Magento CE alla versione 1.8.1.0 potrebbe darsi che siate alle prese con un bug che impedisce al pacchetto Interface_Adminhtml_Default-1.8.1.0 di installarsi correttamente.

L’errore del connect che dovrebbe insospettirvi è questo:

Installing package community/Interface_Adminhtml_Default 1.8.1.0
Error:
install: Failed to open file /home/marco/web/magespecialist-update/downloader/.cache/community/Interface_Adminhtml_Default-1.8.1.0/app/design/adminhtml/default/default/template/downloa
dable/sales/order/invoice/create/items/renderer

Non ho indagato a fondo sulle cause, ma sostanzialmente connect non estrae correttamente il pacchetto (né dal downloader, né da linea di comando) e il risultato è che il pacchetto di interfaccia del backend non risulta installato.
Non si può neanche installarne uno con versione precedente perché ovviamente va in conflitto con gli altri pacchetti appena aggiornati alla 1.8.1.0.

Per risolvere brutalmente il problema potete scaricare il pacchetto a mano, estrarlo sul pc e copiare (via ftp se su server remoto) le cartelle app e skin contenute nel pacchetto nella cartella di installazione di magento.

Ad uso dei posteri potete scaricare il pacchetto cliccando qui.

NOTA: lo srivo una volta sola: BACKUP! Non muovete una falange prima! E installate il pacchetto solo dopo avere già eseguito l’aggiornamento alla 1.8.1.0 e solo es avete questo errore, altrimenti rischiate di far danno.

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.